OptExactInfo Struct Reference

## Data Fields

MinMaxLen | mmd
OptAncInfo | anc
int | reach_end
int | ignore_case
int | len
UChar | s [OPT_EXACT_MAXLEN]

## Detailed Description

Definition at line 3986 of file regcomp.c.

## Field Documentation

OptAncInfo OptExactInfo::anc

Definition at line 3988 of file regcomp.c.

Referenced by alt_merge_opt_exact_info(), clear_opt_exact_info(), concat_left_node_opt_info(), concat_opt_exact_info(), and set_optimize_info_from_tree().

int OptExactInfo::ignore_case

Definition at line 3991 of file regcomp.c.

Referenced by alt_merge_opt_exact_info(), clear_opt_exact_info(), comp_opt_exact_or_map_info(), concat_opt_exact_info(), optimize_node_left(), select_opt_exact_info(), and set_optimize_exact_info().

int OptExactInfo::len

Definition at line 3992 of file regcomp.c.

Referenced by alt_merge_opt_exact_info(), clear_opt_exact_info(), comp_opt_exact_or_map_info(), concat_left_node_opt_info(), concat_opt_exact_info(), concat_opt_exact_info_str(), is_full_opt_exact_info(), optimize_node_left(), select_opt_exact_info(), set_optimize_exact_info(), and set_optimize_info_from_tree().

MinMaxLen OptExactInfo::mmd

Definition at line 3987 of file regcomp.c.

Referenced by alt_merge_opt_exact_info(), clear_opt_exact_info(), comp_opt_exact_or_map_info(), concat_left_node_opt_info(), select_opt_exact_info(), set_bound_node_opt_info(), and set_optimize_exact_info().

int OptExactInfo::reach_end

Definition at line 3990 of file regcomp.c.

Referenced by alt_merge_opt_exact_info(), clear_opt_exact_info(), concat_left_node_opt_info(), concat_opt_exact_info(), and optimize_node_left().

UChar OptExactInfo::s[OPT_EXACT_MAXLEN]

Definition at line 3993 of file regcomp.c.

Referenced by alt_merge_opt_exact_info(), clear_opt_exact_info(), concat_opt_exact_info(), concat_opt_exact_info_str(), select_opt_exact_info(), and set_optimize_exact_info().

The documentation for this struct was generated from the following file:

- regcomp.c